Understanding Commander

Commander is a software utility, available with the Enterprise Edition of BarTender, that enables you to perform automatic label-printing using BarTender in situations where using command line or ActiveX automation is either not possible or not cost-effective. Commander can be run as an application or, on Windows 2000, XP, and 2003, as a Windows service.

How Commander Works

When an application needs labels, it simply creates a triggering event (called a “trigger”), such as placing a file in a location of your choosing on the network or sending an e-mail to an account of your choosing. Commander detects the arrival of this file (or e-mail) and then “wakes up” BarTender so it can pour your data into the label design and automatically print your labels.

A trigger file or message may be empty; but it can also contain data that will be read by BarTender, by another application that Commander launches, or by Commander itself. Because trigger-creating applications can include different content in different triggers, the tasks Commander will execute, and the data it uses, can be defined dynamically by the application.

For example, an in-house order fulfillment application enters data about an order into a database and saves an empty file named NewOrder.dat in a directory being watched by Commander. Commander finds the file and launches BarTender with a label format that has been configured to query the database about orders entered after a specified time. BarTender reads the data and prints the label. Commander then deletes the NewOrder.dat file and resumes monitoring the directory.

On Windows 2000, XP, or 2003 computers, Commander can be configured to operate as a Windows service that runs whenever your computer is on, whether or not anyone is actually logged into the machine. And you can run multiple BarTender processes for better performance.

For more information on how to use Commander’s Help, click here.


Using the Online Help

Show All Hide All

The window on the right of this help always contains the most recent topic viewed. There is a "Home" link in the upper right corner of every help topic. Click it to return to the opening page of this help.

On the left are five tabs:

  • TOC. The help table of contents. Browse to any topic and open it by double-clicking.

  • Index. The index for the help. The terms you are most likely to want to look up are included. Click on any term. If it is associated with just one topic, that topic will open on the right. If it is associated with more than one, a list of the topics will appear. Click the desired topic.

  • Search. A full-text search utility. See below for details in the use of this tab.

  • Favorites. A list of your most frequently consulted help topics. To put a help topic on the list, open the topic, then open the Favorites tab and click the Add button at the bottom of the tab.

  • Glossary. A glossary containing definitions of important terms from the labelling and bar code industries.

The button bar on the top has these buttons:

  • Hide/Show. Toggles the visibility of the left pane.

  • Locate. Will show you where the topic you currently have open appears in the Table of Contents. (Some topics are not in the table of contents.)

  • Back. Reopens the last topic you viewed.

  • Forward. Returns you to the topic you had open when you pressed the Back button.

  • Print. Prints the current topic.

  • Options. Opens a special menu. Click this line for details.

    • Hide Tabs/Show Tabs. Duplicates the function of the Hide/Show button (see above).

    • Back. Duplicates the function of the Back button (see above).

    • Forward. Duplicates the function of the Forward button (see above).

    • Home. Opens the first page of this help.

    • Stop. Cancels the opening of an Internet page in this help.

    • Refresh. Reopens the page currently showing in this help.

    • 1 Seagull. Duplicates the function of the Seagull button (see below).

    • 2 Jump. Duplicates the function of the Jump button (see below).

    • Internet Options. Opens the Internet Options dialog of Windows and Internet Explorer.

    • Print. Duplicates the function of the Print button (see above).

    • Search Highlight On/Off. Toggles on and off a feature that works with the Search tab (see above). When the feature is on and you find a help topic by means of the Search tab, then your search term(s) will appear highlighted in any topic opened from the Search tab.

  • Seagull. Opens Seagull Scientific's home page on the web.

  • Jump. Opens a page where you can enter the file name of a particular help topic and immediately open that topic. This is normally used only on the instructions of Seagull Scientific's Technical Support department.

Using the Search Tab

If you want to find all topics that have something to say about a subject that is central to Commander, then you will probably find the term listed in the Index tab. If you do not find it there, or you need to make a logically more complex search, then use the Search tab.

Simple Searches

The simplest way to use the Search tab is to type the term of interest in the text box at the top of the tab, and then click List Topics. Every topic that contains the term will be listed in the larger text box on the tab. To open any of the topics, click it once and click Display, or double-click it.

Note: Topics that contain a close grammatical variation of the term will also be included on the list. For example, if the search term is "water", then topics containing "watering" and "watered" as well as "water" will be listed. However, words that begin with the letters "water" but are not really a form of the word "water," such as "waterfall," will not be found. See below under Searching with Wildcards.

Narrowing Your Search

If you want to narrow your search to only topics that contain all of a list of terms, simply type more than one word with a space between the words. For example, if you want topics that refer to deleting text objects from a label format, you would enter "delete text object" (without the quotation marks) in the text box.

Widening Your Search

If you want to widen your search to include topics that contain either one or the other of two terms (or at least one from among three or more terms), then you must enter a logical "OR" (sometimes called a Boolean "OR") between the terms. To enter a Boolean term, click the small button just to right of the text box. It has a rightward pointing arrow head on it. This opens a drop down list of Boolean terms. Click the OR. For example, if you are interested in any topic that has to do with deleting things, but you are not sure if the help uses the term "delete" or "remove" to talk about deleting things, you could enter "delete OR remove" as your search terms. This will produce a list of any topic that contains either of these words.

Excluding Certain Topics

If you want to exclude topics that contain certain terms, add the Boolean term NOT to your search terms followed by the term in question. For example, if you want to find all topics that mention databases, but not topics that are about SAP IDocs, you could use "database NOT IDoc" as your search terms.

Getting Topics with Terms Closely Connected

If you want to find topics that contain two (or more) terms close together, then add the Boolean term NEAR between the words. For example, "delete text" will generate a list that includes topics that are not really about deleting text, but simply happen to have the two words "delete" and "text" in them. But "delete NEAR text" will generate a shorter list of topics all of which are highly likely to be at least partly about deleting text.

Note: If you want to find an exact multi-word phrase, put it in quotation marks. For example, using "delete text" including the quotation marks will find only topics that contain that exact phrase. This may produce results that are too narrow: For example, some topics may contain information about deleting text even if they do not contain that exact phrase.

Complex Boolean Searches

You can use parentheses in your search terms to nest Boolean expressions within other Boolean expressions (up to five layers deep). For example, "text AND (delete OR remove)" will find all topics that contain the word "text" and at least one or the other of "delete" and "remove".

Note: Although AND is one of the Boolean operators on the drop down list, it is not strictly necessary. A space between words is interpreted by the search feature as an AND. So "text (delete OR remove)" is equivalent to "text AND (delete OR remove)".

Note: If you use more than one Boolean operator in a search expression without parentheses, the search feature will assume that you intend a close-parentheses after every search term except the very first and the very last (and a sting of open-parentheses at the beginning of the expression). Hence, "text AND delete OR remove" will be interpreted as "(delete AND text) OR remove", and "text AND delete OR remove NOT IDoc" will be interpreted as "((text AND delete) OR remove) NOT IDoc".

Searching with Wildcards

You can use standard Windows wildcards "*" and "?" in your search strings. A "?" is a placeholder for any single character or numeral. A "*" is a placeholder for any string of characters and numerals. Searching for "water?" (without the quotation marks) will locate topics that contain "waters", but searching for "water*" (without the quotation marks) will locate topics that contain "waterfall" and "waterproof".

Other Ways of Narrowing or Widening Your Search

At the bottom of the Search tab are check boxes that you can use to turn on and off certain search features.

Search Previous Results. When this option is checked, each search will ignore any topics that were not found in the preceding search.

Match Similar Words. When this option is checked, topics that contain words similar to your search term(s), will be included even if your search term(s) is not itself (or themselves) contained in the topic.

Search Titles Only. When this topic is checked, only topics whose titles match your search expression will be listed.


Technical Support

This online help system contains information that will answer most technical questions. If you still have questions after consulting it, our Technical Support Department can be reached at any of the following telephone numbers and e-mail addresses:

Region | Voice Telephone | FAX (Faxed technical support requests receive a faxed response.) | Internet (Internet technical support requests receive a Internet response.)
United States | +1 425 641 1408 | +1 425 641 1599 | TechSupport@SeagullScientific.com
Europe | +34 91 435 55 45 | +34 91 578 05 06 | EuroTech@SeagullScientific.com
Asia/Pacific | +886 2 3765 2440 | +886 2 3765 2467 | AsiaTech@SeagullScientific.com

You Must Register Your Software to Receive Support

In order to receive technical support, you must click this link and register your product online within ten days after your purchase. Unless you register, you will not receive technical support.

You Must Call From Next to Your Computer

When calling for technical support, it is very important to call from a phone right next to the computer that is running Commander. This makes it much easier for our technical support personnel to assist you.

Product Returns

If you purchased Commander directly through Seagull Scientific, Inc., and you decide that it is not right for your purposes, you may return it to Seagull within 30 days of the date of purchase. To do so, you must first call our Technical Support Department at the number shown above. At that time, we will issue you a Return Merchandise Authorization Number (RMA#) and give you our shipping address.

Note: If you purchased Commander through another source, your terms may vary. Please contact your reseller for information regarding return policies.


Main Window

The main Commander window is where you will create tasks and task lists. The window includes:

  • Main Menu. All Commander functions can be accessed from the menus. Refer to the "Menu Reference" section of this help.

  • Main Toolbar. The most common functions can be accessed from the toolbar.

  • Task List Grid. A list of all tasks in the current task list with columns for the task name, trigger type, the time it last ran, the number of times it has run, and the current status of task-processing.

  • Log Window. Commander messages appear here as they occur.

SEE ALSO:

Understanding Commander


Creating a Task List

Creating or Modifying a Task List

The steps in creating or modifying a task list are:

  1. Open a new task list file by clicking the New toolbar button or selecting New from the File menu. If you are modifying an existing task list, click the Open button, or select Open from the File menu; then browse to the task list file and click Open.

  2. Start a new task definition by clicking the Add toolbar button or selecting Add from the Tasks menu. If you are editing an existing task, highlight it and click the Properties toolbar button or select Properties from the Task menu.

  3. Use the Task Options dialog to enter details about the task, and to select and configure the commands that will execute when the task is triggered.

  4. Save the task by clicking OK.

  5. Repeat steps 2-4 for every task needed on the task list.

  6. You can delete tasks from the list by highlighting the task and clicking the Delete button on the toolbar, selecting Delete from the Edit menu, or pressing the DELETE key on the keyboard.

  7. Use the Cut, Copy, and Paste items on the Edit menu to reorder tasks as needed or to move tasks from one task list to another.

  8. Save the task list by clicking Save on the File menu.


Defining a Task

Task Options Dialog

Use the Task Options dialog to define the properties of a task. (The dialog is opened by selecting Add or Properties from the Task menu or clicking either the Add or Properties button on the toolbar.)

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.

  • Name field. Holds the task’s name.

  • Trigger. Identifies the type of trigger.

  • Trigger tab. Used to set the properties of the trigger, and how Commander will search for it.

  • Command(s) tab. Used to define the commands that will be executed when the task is triggered.

  • Reset to Defaults button. Returns all settings on both tabs to their default values.


Trigger Tab

Show All Hide All

Use this tab to set the properties of the task’s trigger. The options available on this tab vary depending on what type of trigger has been set:

When the Trigger Type is "File" …

When the trigger type is "File", then the tab has the following elements:

  • Detection Method. Used to select the detection method; either Immediate or Polling. Immediate means that Commander will respond immediately when the operating system reports that a new trigger file has been created in a scanned directory. Polling means that Commander will check for the trigger only at set intervals.

  • Polling Interval. Used to set the polling interval in milliseconds.

  • Folder to Scan. Used to enter the complete path to the directory where Commander should look for the trigger file. (Click here to see if you must use a complete UNC path.)

  • File to Scan for. Used to specify the name of the trigger file. The standard Windows wildcards "*" and "?" may be used.

  • Detection Response. Used to specify what Commander will do with the trigger file immediately after it has found it and before Commander begins executing tasks. Your choices are Delete File or Rename File.

Note: Delete the file only if neither BarTender nor any other application that is called by a task will need to open it. (To be deleted, the file must not have the read-only attribute set.) If you want to save the file (because, for example, BarTender is going to use it as a database), rename it so that Commander won't react to it more than once. If Commander finds there is already a file with the new name, it will add a numeral to the name of the current file. Example, if you have chosen to rename a file to file.dat, Commander will actually name it file(1).dat if there is already a file.dat.

  • New Extension. Used to specify what extension the trigger file will get if the Rename File option is selected in the Detection Response list.

  • Locked-File Timeout. Used to set how long Commander will attempt to open a trigger file that it initially finds locked by another application. If Commander cannot open the file in the time specified, it will skip over it and resume scanning for other trigger files.

  • File Encoding. Used to select the encoding of the trigger file. Your options are:

    • Unicode

    • Unicode (Big Endian)

    • UTF-8

    • Use Windows Settings

    • Arabic (1256)

    • Baltic (1257)

    • Central Europe (1250)

    • Chinese Simplified (GB-2312, 936)

    • Chinese Traditional (Korea, Big 5, 950)

    • Cyrillic (1251)

    • Greek (1253)

    • Hebrew (1255)

    • Japanese (SHIFT-JIS, 932)

    • Korean (Hangul, 949)

    • Korean (Johab, 1361)

    • Thai (874)

    • Turkish (1254)

    • US, Western Europe (ANSI, 1252)

    • Vietnam (1258)

When the Trigger Type is "E-Mail" …

When the trigger type is "E-Mail", then the tab has the following elements:

  • Mail System. Used to select the type of e-mail system in use. Click the Setup button to open a dialog on which you tell Commander certain details about the e-mail system.

  • Check Every. Used to specify how often Commander will check for new e-mail messages.

  • Subject text box. Used to specify the text that Commander should look for in the Subject line of e-mail messages. The standard Windows wildcards "*" and "?" may be used.

  • When Mail Arrives. Used to specify what Commander will do with the e-mail message after processing it.

  • Forward To. Used to specify the e-mail address to which Commander should forward e-mail messages if Forward and Delete E-Mail is selected in the When Mail Arrives list.

  • Save To File. Used to ensure that Commander saves e-mail messages to a file. The text box to the right of the checkbox is used to set the path and filename. You can type the path or click the Browse button and browse to it. This box must be enabled if you want to pass data from the e-mail message to BarTender. (Refer to BarTender's help for information on how to inform BarTender about the file name and path.) You can also refer to the file with the Commander variable <Trigger File Name> and use that variable on a BarTender command line. For example, it can be used as the value of the /D= parameter. (Refer to BarTender's Help for information about command line parameters.)

Note: If this check box is not enabled, then Commander's special file variables will be blank.

  • Encode Save File As. Used to select the encoding of the file you are saving.

    • This setting is not used if the Save To File box is not checked.


Command(s) Tab

Use this tab to define the commands that will be executed when the task is triggered.

  • Command Type drop down list. Used to select the command type for each command. Your choices are:

  • BarTender. This type of command enables you to control BarTender.

  • Operating System. This type of command can be any command line you could pass directly to the operating system by selecting Run from the Start menu.

  • Commander Script. This option tells Commander that the trigger itself contains a script of the desired commands.

  • Command field and “. . .” button. This field's purpose varies with the command type:

  • BarTender. The command field contains the BarTender command parameters. The “. . .” button displays the BarTender Command Options dialog with which you specify the command parameters.

  • Operating System. The command field contains the command and its command line parameters, if any. The “. . .” button opens an Operating System Command Options dialog in which the command line is entered.

  • Command Scripts. The command field always contains the Commander variable <Trigger Contents>. The “. . .” button displays a dialog where you associate the script with a BarTender command handler.


BarTender Command Options Dialog

Use this dialog to build a sequence of BarTender command parameters with minimal typing and reduced chance of errors.

The Command Parameters window displays your command as you add parameters and it remains visible in all tabs.

The tabs on this dialog are:

  • Formats

  • Print

  • Text File

  • SAP R/3 IDoc

  • OLE DB / ODBC

  • General


Formats Tab

Use this tab to add BarTender command parameters specifying what format and printer BarTender should use.

  • Format(s) to Use

To specify a particular format, click File(s) and enter the path and file name of the format. You can list more than one format by enclosing each path and file name in quotation marks. E.g., "c:\formats\ship.btw" "c:\formats\return.btw". (Click here to see if you must use a complete UNC path.)

  • Printer to Use

If you want BarTender to use a particular printer whether or not it is the printer specified in the format, click System Printer and select the printer from the drop down list.


Print Tab

Use this tab to add BarTender command parameters relating to printing.

  • Print checkbox. Select this if you want BarTender to print one or more labels when the task is executed.

  • Identical Copies of Labels checkbox. Select this and enter a number in the box if you want more than one copy of each label.

  • Number of Serialized Labels checkbox. Select this and enter a number in the box if you want BarTender to print a set of serialized labels.

  • Starting Record Number checkbox. Select this and enter a number in the box if BarTender will be reading data from a file, and you want it to start with a record other than the first.

  • Show Print Dialog checkbox. Select this if you want BarTender to pause, display the Print dialog, and wait for a user response before printing.

Refer to the BarTender online help for more information on the meaning of these options.


Text File Tab

Use this tab to add BarTender command parameters instructing BarTender to read data from a delimited text file.

  • Use Text File checkbox. Select this and enter the path and filename in the box if you want BarTender to read data from a text file. (Click here to see if you must use a complete UNC path.)

Note: You can use the very text file from which data is read to be the trigger file. To do so, enter the variable "<Trigger File Name>" in the Use Text File box. (Refer to Commander Variables for details.)

  • Delete File When Done checkbox. Select this if you want BarTender to delete the text file after it has read it.


SAP R/3 IDoc Tab

Use this tab to add BarTender command parameters instructing BarTender to read data from a SAP R/3 IDoc file.

  • SAP R/3 IDoc File checkbox. Select this and enter the path and filename in the box if you want BarTender to read data from an IDoc file. (Click here to see if you must use a complete UNC path.)

Note: You can use the very IDoc file from which data is read to be the trigger file. To do so, enter the variable "<Trigger File Name>" in the Use Text File box. (Refer to Commander Variables for details.)

  • Delete File When Done checkbox. Select this if you want BarTender to delete the IDoc file after it has read it.


OLE DB / ODBC Tab

Use this tab to add BarTender command parameters specifying OLE DB or ODBC login information.

  • User Name textbox. Enter an OLE DB or ODBC user name.

  • Password textbox. Enter the OLE DB or ODBC user's password. It will appear as a series of asterisks on screen.


General Tab

Use this tab to assign the task to a command handler and to add miscellaneous BarTender command line parameters that cannot be added on any other tab of the BarTender Command Options dialog.

  • Command Handler drop down list. Select the name of the desired handler. (This list will be grayed-out if you open the dialog when you are in the process of configuring a particular command handler, since you already selected a command handler to configure.)

  • Setup button. Click to setup or modify a BarTender command handler.

  • Close Format(s) checkbox. Check if you want to close, at the end of task execution, all formats open in the BarTender process. This will not close formats open in other running instances of BarTender, including those instances running under the same command handler.

  • Save Format(s) checkbox. Check if you want to save, at the end of task execution, all formats open in the BarTender process. This will not save formats open in other running instances of BarTender, including those instances running under the same command handler.

  • Additional Command Parameters textbox. Enter any needed command parameters that cannot be added on any other tab of the BarTender Command Options dialog. Refer to "Command Line Parameters Reference" in the BarTender online help. (If any of the parameters you add here includes a path, click here to see if you must use a complete UNC path.)


Viewing BarTender Messages

When BarTender is run directly (not through Commander) it may from time-to-time display a informational, warning, or error message. If you want to view these messages when running BarTender from Commander, you must first configure BarTender to log its messages to a log file, which you can view later. For details, refer to "Message Setup Dialog" in BarTender's online help.


Operating System Command Options

Operating System Command Options Dialog

Use this dialog to enter the operating system command. Syntax should be exactly as it would be entered if you passed the command directly to the operating system by selecting Run from the Windows Start menu.

This feature can be used to run Java or Visual Basic scripts, or batch files. You can also use Commander variables on an operating system command line. For example, the <Trigger Contents> variable would be replaced at task execution time with the contents of the trigger file. Those contents could themselves be a series of operating system commands.

Note: If you will be running Commander as a service, then any paths on your operating system command lines may need to use a complete UNC path. Click here for more information.


Commander Scripts

A Commander script is a set of written instructions that Commander can read and execute. Applications that create triggers can add scripts to the triggers. This allows the application to give Commander instructions that vary from trigger-to-trigger, instead of having it perform exactly the same actions in response to every trigger of a given type. The Commander Script keywords are listed below.

%RUN%

%RUN% "<path and filename of executable> [<command line parameters>]"

Instructs Commander to run the executable file. This is required to run a program other than BarTender. Command line parameters are optional.

Example:

%RUN% "C:\WINNT\notepad.exe order.txt"

%BTW%

%BTW% <BarTender Command Line Parameters>

Alerts Commander that the terms that follow are BarTender command line parameters. Do not include the path or name of the BarTender executable. The parameters will be sent to the command handler that was set on the Commander Script Commands Options dialog. For additional information, see “Command Line Parameters” in BarTender’s on-line help.

Example:

%BTW% /D="R:\Db\Text\ADDRESS.DAT" /FirstRecordFieldNames /DD

%MIN%

%MIN%

Instructs Commander to run BarTender in minimized mode.

%END%

%END%

Instructs Commander that there are no more command lines in the trigger. This is required when a trigger contains both commands and input file data. All input data must follow the %END%.

Note: If you will be running Commander as a service, then any paths in your Commander script may have to use a complete UNC path. Click here for more information.


Commander Script Command Options

Use this dialog to identify the BarTender command handler to which the Commander script's %BTW% command should be sent.

Click Setup to display the BarTender Command Handler Setup dialog.


Commander Variables

Commander will allow variables on the BarTender, operating system, and Commander script command lines. The variables are replaced at task execution time.

The variables can be used in any of the following places:

  • format name

  • printer name

  • text file name

  • IDoc name

  • ODBC user name

  • ODBC password

  • additional command parameters (on the General tab of the BarTender Command Options dialog)

  • in an operating system command line

Note: If you do not want the variable replaced, then add an extra set of angle brackets. For example, if you really do not want <Time> to be replaced, use <<Time>>. After processing, <<Time>> will be replaced with <Time>, and not replaced with the actual time.

The variables are:

Variable | Definition
<Trigger Contents> | Replaced with the contents of the trigger file, or the body of the message if an e-mail trigger is being used. This variable is evaluated before any others, so you may use any of the others in the trigger. Note: This variable is automatically used on all Commander script command lines.
<Trigger File Name> | Replaced by the complete path and filename of the trigger file. (See also the note below.)
<Trigger Base File Name> | Replaced by the trigger filename, not including either the path or the extension. (See also the note below.)
<Trigger File Path> | Replaced by the trigger file's path. Does not include the filename or extension. (See also the note below.)
<Time> | Replaced by the time the task was triggered with the format [h]h:mm:ss xM. (Leading zeros do not appear in the hour numbers.)
<Date> | Replaced by the date the task was triggered with the format [m]m/[d]d/yyyy. (Leading zeros do not appear in the month or day numbers.)
<E-mail Subject> | Replaced with the entire Subject line of the e-mail message. (Used only with e-mail triggers.)

Note: The <Trigger File Name>, <Trigger Base File Name>, and <Trigger File Path> variables will be replaced with a blank if an e-mail trigger is being used and the Save to File option is not checked on the Trigger tab of the Task Options dialog.


Running Commander

To run a Commander task list:

  1. Open a task list by clicking the Open button or selecting Open from the File menu.

  2. Enable tasks by highlighting each task you want to execute and selecting Enable from the Task menu.

  3. Start trigger detection by clicking the Start Detection button or selecting Start Detection from the Tools menu.

Simultaneous monitoring for each trigger of the enabled tasks begins. For each task, Commander will monitor in accordance with the settings made on the Trigger tab of the Task Options dialog.


Example of Using Commander

Example of Using the Trigger as a Database

At a mail order company there is a need to print a label containing data from a sales record each time an order is recorded. The sales application generates a comma-delimited text file and saves it in a directory that Commander has been set to monitor. Commander detects the file and instructs BarTender to read the file and print the label. These are the steps for implementing this scenario:

Setup a Sample Data File

  1. Choose the directory where the trigger files will be saved. This is the directory that Commander will monitor. In this example, it will be called C:\Shipping\NewOrders.
  2. Create, or obtain, a sample file. In this example, we will create a file in Notepad which will be named order.txt and contain a single line of comma-delimited data (as shown below):

Around the Town,Jerome Davis,Buyer,1220 Governor Sq.,Hadden,Alberta,WA1 1DP,Canada,(171) 555-7788,(171) 555-6750

  3. Save the sample file in the directory you chose in step 1.

Design the Label Format

  1. In BarTender, select New on the File menu. Design your label as you normally would, selecting the printer, stock, etc. See BarTender help for details.
  2. Click the Database Setup button.
  3. In the Database Setup wizard, click Next.
  4. Select Text File and click Next.
  5. Enter the complete path and file name of the sample file you created, and then click Next.
  6. Choose Comma as the Delimitation Type, and then click Next.
  7. Select No when asked about the text file header, and then click Finish to open the Database Setup dialog.
  8. Click OK to return to the BarTender main screen.
  9. Create a text object on the label and double-click it to open the Modify Selected Text Object dialog.
  10. Click the Data Source tab and set the Source drop down list to Database.
  11. On the Use Field drop down list, select "Field 2" in the Use Field drop down list because, in the sample, the second field contains the buyer's name.
  12. Enter "buyer name" as the sample data, and click OK to close the dialog.
  13. If other text objects are needed, simply return to step 9, in each case assigning the object to the appropriate field in the database.
  14. Select Save in the File menu to save the label format under the name NewOrderAddress.btw.
  15. Move the sample database file, orders.txt, from the directory that Commander will be scanning.
  16. Close BarTender.

Creating the Commander Task

  1. In Commander select New on the File menu.
  2. Select Add on the Task menu to open the Task Options dialog.
  3. Enter "Each Order" as the task Name and select File in the Trigger drop down list.
  4. Click the Trigger tab, and in the Folder to Scan box, enter the path of the directory that Commander will monitor. This is the same directory you used in step 1 of Setup a Sample Data File above.
  5. Enter "orders.txt" or just "*.txt" in the Files to Scan for box. (Do not include the quotation marks.)
  6. Set the Detection Response to Rename File, rather than Delete File because BarTender cannot use the file as its database if Commander has deleted it.
  7. Set the New Extension to "old" (without the quotation marks). This extension cannot be the same one specified in Files to Scan for.
  8. Click the Command(s) tab and in the first row of the Command Type column, select BarTender from the drop down list.
  9. Click the … button at the end of the row to open the BarTender Command Options dialog. Note that there is initially just a /P parameter in the Command Parameters box. This tells BarTender to print.
  10. Click the Formats tab and select the File(s) radio button. Then enter the path and file name for NewOrderAddress.btw. Note that an /AF= parameter has been added to the Command Parameters box identifying for BarTender which label format it should print.
  11. Click the Text File tab and enable the Text File check box, but leave the value at its default, the Commander variable <Trigger File Name>. A /D=<Trigger File Name> parameter has been added to the Command Parameters box telling BarTender that it should use the trigger file as its database.
  12. Enable the Delete File When Done checkbox to tell BarTender that it should delete the file after reading it.
  13. Click OK on the BarTender Command Options dialog.
  14. Click OK on Task Options dialog.
  15. Select Save in the File menu and save the format under the name NewOrderAddress.tl.

Starting Detection

  1. Select Start Detection from the Detection menu.
  2. Copy the sample file, orders.txt, back into the directory that Commander is monitoring.

    Commander will

    • detect it,
    • rename it to orders.old, and
    • launch BarTender.

    BarTender will

    • open NewOrderAddress.btw,
    • read data from orders.old,
    • print the label, and
    • then delete orders.old.


Example of Using Commander 2

Example of Using a Commander Script

A company needs to print sticky-backed invoices being entered by many different users across their network. Each user has access to a shared drive. However, there are differently formatted invoices depending on the user and the product being invoiced. And the various departments each use their own printer.

In this situation, an invoicing application can create, with each invoice, a text file containing data and a Commander script that instructs BarTender to:

  • open up a particular invoice *.btw file,

  • use the trigger file as the data file, starting on line 3,

  • print to a specific printer, and

  • delete the trigger file when it's done.

These are the steps for implementing this scenario:

Setup Sample Data Files

  1. Choose the directory where the trigger files will be saved. This is the directory that Commander will monitor. In this example, it will be called C:\InvoiceServer\CommanderWatch.
  2. For each type of invoice, create, or obtain, a sample file in which the data is structured and delimited exactly as it will be in the real data files. In this example, we will assume that there are two departments printing invoices. For the first, create a file in Notepad named invoice1.txt that contains a single line of comma-delimited data (as shown below). The only hard carriage return is at the end of the record.

Around the Town,Jerome Davis,Buyer,1220 Governor Sq.,Hadden,Alberta,WA1 1DP,Canada,(171) 555-7788,(171) 555-6750

  3. For the second, create a file in Notepad named invoice2.txt that contains a single line of quote-and-comma-delimited data (as shown below). The only hard carriage return is at the end of the record.

“Far Fetched Imports”,”Jerry Bom”,”manager”,”3320 Happy St.”,”Incident”,”Washington”,”98887”,”USA”,”(444) 555-7788”,”(444) 555-6750”

  4. Save the sample files in the directory you chose in step 1.

Design the Label Formats

  1. In BarTender, select New on the File menu. Design your label as you normally would, selecting the printer, stock, etc. See BarTender help for details.
  2. Click the Database Setup button.
  3. In the Database Setup wizard, click Next.
  4. Select Text File and click Next.
  5. Enter the complete path and file name of invoice1.txt, and then click Next.
  6. Choose Comma as the Delimitation Type, and then click Next.
  7. Select No when asked about the text file header, and then click Finish to open the Database Setup dialog.
  8. Click OK to return to the BarTender main screen.
  9. Create a text object on the label and double-click it to open the Modify Selected Text Object dialog.
  10. Click the Data Source tab and set the Source drop down list to Database.
  11. On the Use Field drop down list, select "Field 2" in the Use Field drop down list because, in the sample, the second field contains the buyer's name.
  12. Enter "buyer name" as the sample data, and click OK to close the dialog.
  13. If other text objects are needed, simply return to step 9, in each case assigning the object to the appropriate field in the database.
  14. Select Save in the File menu to save the label format under the name HardwareInvoice.btw.
  15. Repeat steps 1 through 14. This time use invoice2.txt as the database, set Quote and Comma as the delimitation type, and save the label format as SoftwareInvoice.btw.
  16. Move both sample database files from the directory that Commander will be scanning.
  17. Close BarTender.

Creating the Commander Task

  1. In Commander select New on the File menu.
  2. Select Add on the Task menu to open the Task Options dialog.
  3. Enter "Invoices" as the task Name and select File in the Trigger drop down list.
  4. Click the Trigger tab, and in the Folder to Scan box, enter the path of the directory that Commander will monitor. This is the same directory you used in step 1 of Setup a Sample Data File above.
  5. Enter "*.txt" in the Files to Scan for box. (Do not include the quotation marks.)
  6. Set the Detection Response to Rename File, rather than Delete File because BarTender cannot use the file as its database if Commander has deleted it.
  7. Set the New Extension to "old" (without the quotation marks). This extension cannot be the same one specified in Files to Scan for.
  8. Click the Command(s) tab and in the first row of the Command Type column, select Commander Script from the drop down list.
  9. Click OK on Task Options dialog.
  10. Select Save in the File menu and save the format under the name VariantInvoices.tl.

Creating Sample Trigger Files

  1. Open the first sample database file, invoice1.txt, and add the following two lines to the very beginning of the file. (The only hard carriage returns are immediately before and immediately after the “%END%”.)

%BTW% /AF=c:\command\command.btw /D=<Trigger File Name> /PRN="EasyCoder F4 (203 dpi)" /R=3 /P /DD
%END%

So the entire file now contains the following:

BTW% /AF=c:\command\HardwareInvoice.btw /D=<Trigger File Name> /PRN="EasyCoder F4 (203 dpi)" /R=3 /P /DD
%END%
Around the Town,Jerome Davis,Buyer,1220 Governor Sq.,Hadden,Alberta,WA1 1DP,Canada,(171) 555-7788,(171) 555-6750

The “%BTW%” is a Commander script command that tells Commander to launch BarTender and to use the string that follows as a BarTender command line. The “%END%” tells Commander that the command line is finished and what follows is data.

Of course, you must substitute in the command line, your own printer name, if it is different from EasyCoder F4 (203 dpi) and you must replace c:\command\ with the path where you saved your *.btw files. (If there is a space anywhere in the path, you must enclose the entire value of the /AF= parameter in quotation marks.) However, you should not replace <Trigger File Name> with invoice1.txt. Commander will recognize <Trigger File Name> as a variable on its own and it will automatically replace it with the latest trigger file name before it passes the parameter to BarTender. The /R=3 tells BarTender to treat the third line in the trigger file as the data record. The /P tells BarTender to print the label and the /DD tells it to delete the trigger file after reading it.

  2. Open the second sample database file, invoice2.txt, and add lines to the very beginning of the file so that the resulting file reads as follows.

%BTW% /AF=c:\command\SoftwareInvoice.btw /D=<Trigger File Name> /PRN="Datamax 4400" /R=3 /P /DD
%END%
“Far Fetched Imports”,”Jerry Bom”,”manager”,”3320 Happy St.”,”Incident”,”Washington”,”98887”,”USA”,”(444) 555-7788”,”(444) 555-6750”

Note: This example assumes that the SoftwareInvoice.btw will be printed to a different printer than HardwareInvoice.btw. As in the previous sample trigger file, you should change the path and printer name shown here, as needed.

Starting Detection

  1. Select Start Detection from the Detection menu.
  2. Copy the sample file, invoice1.txt, back into the directory that Commander is monitoring.

    Commander will

    • detect it,
    • rename it to invoice1.old, and
    • launch BarTender.

    Bartender will

    • open HardwareInvoice.btw,
    • read data from invoice1.old,
    • print the label, and
    • then delete invoice1.old.

  3. Copy the sample file, invoice2.txt, back into the directory that Commander is monitoring.

    Commander will

    • detect it,
    • rename it to invoice2.old, and
    • launch BarTender.

    Bartender will

    • open SoftwareInvoice.btw,
    • read data from invoice2.old,
    • print the label, and
    • then delete invoice2.old.

Now you can have various invoice-creating applications automatically create files named *.txt in the directory that Commander is monitoring. The files should begin with a Commander script and data as in this example. Each time such a file is created in the directory, Bartender will print out the label format designated in the trigger file to the printer designated in the file.


Overview of Commander as a Service

In addition to running as an application, when Commander is installed on a Windows 2000, XP, or 2003 machine, it is also an operating system service that can be started and stopped manually, either from within the Commander application or through the operating system Service dialog like any other service. Moreover, like other services, it can be configured to start automatically as soon as the machine boots and the operating system loads. In the latter configuration there is no need for any user to log in on the machine.

If Commander is running as a service, the user interface can be closed and this will not stop the service.

The Commander Service is configured through the Windows Service dialog.


Starting the Commander Service

To start the Commander Service:

  • Automatically, when the operating system loads:

Use the Windows Service dialog to set the service's Startup Type to Automatic.

  • Manually, with the Windows Service dialog:

On Windows 2000 and 2003

Note: If Windows 2003 has been configured to use the Windows XP style interface, use the instructions below for Windows XP.

Open the Start menu and select Settings, and then Control Panel, Administrative Tools, and then the Services icon. Highlight Commander Service and click the [image] button on the toolbar.

On Windows XP

Note: If the Start menu has been changed to "Classic Start menu," then use the instructions for Windows 2000 above.

Open the Start menu and select Control Panel, and then Performance and Maintenance. Open Administrative Tools, and then the Services icon. Highlight Commander Service and click the [image] button on the toolbar.

Note: Starting the service and starting detection are logically distinct. If the service's Detection startup option is set to Stop, then starting the service will not cause Commander to actually do anything. Similarly, setting the Detection startup option to Start does not mean that Commander will begin detection as soon as the operating system loads: It is also necessary to set the Startup Type to Automatic.


Stopping or Disabling the Commander Service

Stopping the Commander Service

There is more than one way to stop the Commander Service:

On Windows 2000 and 2003

Note: If Windows 2003 has been configured to use the Windows XP style interface, use the instructions below for Windows XP.

Open the Start menu and select Settings, and then Control Panel, Administrative Tools, and then the Services icon. Highlight Commander Service and click the [image] button on the toolbar.

On Windows XP

Note: If the Start menu has been changed to "Classic Start menu," then use the instructions for Windows 2000 above.

Open the Start menu and select Control Panel, and then Performance and Maintenance. Open Administrative Tools, and then the Services icon. Highlight Commander Service and click the [image] button on the toolbar.


Disabling and Re-enabling the Commander Service

Disabling the service stops it and prevents any application from restarting it. Disabled status can be changed only by user intervention.

There is more than one way to disable the Commander Service.

In Windows 2000 and 2003:

Note: If the Windows 2003 Server is configured for the Windows XP style interface, use the instructions below for Windows XP.

Open the Start menu and select Settings, and then Control Panel, Administrative Tools, and then the Services icon. Double-click the Commander Service, click the General tab and set the Startup type to Disabled.

On Windows XP

Note: If the Start menu has been changed to "Classic Start menu," then use the instructions for Windows 2000 above.

Open the Start menu and select Control Panel, and then Performance and Maintenance. Open Administrative Tools, and then the Services icon. Double-click the Commander Service, click the General tab and set the Startup type to Disabled.

You can re-enable the service by resetting the Startup type to Automatic or Manual using the method above.


Disk and Network Printer Access with the Commander Service

When Commander is run as a service, and no one is logged in, by default Commander runs under the "System" account. The System account is restricted and will not be able access resources available to other user accounts.

Network Printers

The System account does not have rights to access any network printers. To access network printers, you must specify a different account for Commander to run under, and that account must have access to the printers.

In addition, the network printer must be installed as a local printer using the following steps.

  1. Open the Start menu and select Settings, and then Printers. Double-click Add Printer to launch the Add Printer Wizard. (Refer to your Windows documentation for details on the using the wizard.)

  2. When the wizard prompts you to choose a local or network printer, select Local.

  3. When the wizard prompts you to select a port, click Create a new port and select Local Port from the drop down list.

  4. When prompted for the port name, enter \\<servername>\<printer share name>.

Note: You must use a Universal Naming Convention (UNC) path. Do not use mapped drive letters.

Folder Write Access

When monitoring files, Commander needs write access to the folder being monitored. The System account may not have write access, depending on the security settings of the folder. You may fix this by either changing the security settings of the folder, or specifying a different account for Commander to run under that has access to the folder.

SEE ALSO:

Specifying a User Account for the Commander Service


Specifying a User Account for the Commander Service

Note: This topic explains how to configure the Commander Service to use an account other than the default (the local system account). Doing this puts some limits on the kinds of configuration changes that can be made while Commander is running. Click here for more information.

To specify a user account for Commander:

  1. Create a user account, e.g., "CommanderService" and set the user password to "Never Expires".

  2. Do the following steps to give the user service login rights.

    1. Open the Start menu and select Settings, and then Control Panel, Administrative Tools, and the Local Security Policy icon.
    2. On the Local Security Settings dialog, double-click Local Policies and then User Rights Assignment.
    3. Double-click Log on as a service in the policy list; and then, on the Local Security Policy Setting dialog, click Add User or Group.
    4. Browse to, and highlight, the user you created in step 1 and click Add and then OK. Click OK again on the Local Security Policy Setting dialog.

  3. Configure the Commander service to login as the user you created in step 1:

On Windows 2000 and 2003

Note: If Windows 2003 has been configured to use the Windows XP style interface, use the instructions below for Windows XP.

Open the Start menu and select Settings, and then Control Panel, Administrative Tools, and then the Services icon. Double-click the Commander Service, click the Log On tab. Click This Account. Enter the user you created in step 1 and enter the password you assigned to that user.

On Windows XP

Note: If the Start menu has been changed to "Classic Start menu," then use the instructions for Windows 2000 above.

Open the Start menu and select Control Panel, and then Performance and Maintenance, Administrative Tools, and then the Services icon. Double-click the Commander Service, click the Log On tab. Click This Account. Enter the user you created in step 1 and enter the password you assigned to that user.


Controlling the Service with the Windows Service Dialog

Controlling the Service from the Windows Operating System

Use the Windows Service dialog:

  • To start and stop the Commander Service.

  • To configure the startup states of the service.

  • To determine how it will respond to a failure.

  • To configure it to use a network printer.

For instructions on opening and using the dialog, click below on the name of your operating system.

  • Windows 2000 and 2003

  • Windows XP


Windows 2000 Service Dialog

Commander Service in Windows 2000 and 2003

Note: If Windows 2003 Server is configured to use the Windows XP style interface, use the instructions for Windows XP. (The instructions below also apply to Windows XP if it is configured to use the "Classic Start menu.")

To display the Services dialog in Windows 2000 and 2003, open the Start menu and select Settings, and then Control Panel. Double-click the Administrative Tools icon and then the Services icon.

Double-click on Commander Service in the list of services to open the Commander Service Properties dialog. It has the following tabs:

General

Log On

Recovery

Dependencies


Windows XP Service Dialog

Commander Service in Windows XP

Note: If Windows XP is configured to use the "Classic Start menu," use the instructions for Windows 2000. (The instructions below also apply to Windows 2003 if it is configured to use the Windows XP style interface.)

To display the Services dialog in Windows XP:

Open the Start menu and select Control Panel, and then Performance and Maintenance. Double-click the Administrative Tools icon and then the Services icon.

Double-click on Commander Service in the list of services to open the Commander Service Properties dialog. It has the following tabs:

General

Log On

Recovery

Dependencies


Performance Enhancements Overview

You can increase the speed at which Commander runs BarTender commands by having multiple instances (also called processes) of BarTender running, each working simultaneously on different tasks. Moreover, different instances of BarTender can launch with different sets of command parameters so you can assign each task to a BarTender instance whose command line parameters are most appropriate to the task. For example, you could have an instance of BarTender preload a designated format which is later printed by a task. You can also assign tasks that are seldom triggered to launch an instance of BarTender and then close it immediately when the task has completed.

Each command in a task can specify a command handler to execute it. The command handler's primary responsibility is to preload formats. If a particular command handler is heavily used, you can grant it more than one BarTender process.

For each command handler, you can

  • set the number of BarTender processes it will launch,

  • set when BarTender will start,

  • preload formats and use other command line parameters, and

  • determine whether BarTender will be visible on the desktop.

Example:

A company has a command handler called "Standard" that uses five instances of BarTender, each of which launches command line parameters that cause it to open a label format used on all new shipments and login to an ODBC database. The company has a second command handler called "RepairReturns" that uses one instance of BarTender whose command line parameters cause BarTender to open a label format used on packages shipping repaired items back to their owners. Finally, a third command handler, called "Refunds" is defined to launch an instance of BarTender, print an envelope, and then close that instance immediately. This is assigned to a task that is triggered only a few times a week.

Command handlers are configured using the BarTender Command Handler Setup dialog. Open it by selecting BarTender Command Handler Setup from the Tools menu.


BarTender Command Handler Setup Dialog

Show All Hide All

Use this dialog, opened from the Detection menu, to configure BarTender command handlers.

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.

Handler List

This box contains a list of all the command handlers to BarTender. The toolbar below this box has the following buttons:

  • New. Used to add a new command handler to the list.

  • Delete. Used to remove a command handler from the list (no undo).

  • Cut. Used to move a command handler to the clipboard.

  • Copy. Used to copy a command handler to the clipboard.

  • Paste. Used to paste a command handler from the clipboard into the list.

  • Up Arrow. Used to move the highlighted command handler higher in the list.

  • Down Arrow. Used to move the highlighted command handler lower in the list.

For details on the items on each tab, click the tab name:

General Tab

General Options

  • Name. Used to enter/edit the name of the handler.

  • Duration. Select Detection Start until Detection Stop to cause the instances of BarTender created by this handler to remain running when not executing a task. Select Single Command to cause any instance of BarTender created by this handler to quit as soon as the task that opened it is finished.

  • Processes. Enter the number of instances of BarTender to be associated with this handler.

  • Startup Command. Used to assemble the command line parameters that will be used when each instance of BarTender associated with this handler launches. Click the ". . ." button at the end of the field to open the BarTender Command Options dialog.

  • Visible. Check this box if you want the instances of BarTender associated with this handler to be visible on the Windows desktop.

Logon Tab

Use this tab, available only on Windows 2000, XP, and 2003, to specify a particular Windows user account that this command handler should use when it launches BarTender. This option is helpful when the user running Commander does not have all the network or system rights that BarTender needs to do its work. For example, when you are running Commander as a service, it runs by default under the local system account which may not have access to needed network directories and printers.

Click Run BarTender Using Account to turn on this feature.

Logon Settings

  • User

    • . Enter the Windows user name.

  • Password. Enter the user's password.

  • Domain. Enter the domain name for the user account.

Note: You must also configure Windows DCOM to allow Commander to run BarTender under the same user name you used on this dialog. Click here for details.


Message Setup Dialog

Show All Hide All

Use this dialog to configure how Commander will handle information, warning, and error messages.

There are two tabs on this dialog. The Restore to Defaults button will restore settings on both tabs to their defaults. The change will appear immediately, but doesn't actually take effect until the OK button is pressed. Pressing Cancel after pressing Restore to Defaults does not restore the default settings.

Messages Tab

Use this tab to determine what messages will be displayed or logged, and how the application will respond to them.

  • The grid at the top lists the messages that can appear in the application with these columns:

  • #. The message's unique ID number.

  • Severity. Message severity increases from informational, to warning, to error.

  • Type. Identifies the category of message. (E.g., printer, database)

  • Default Response to Message. Current setting for how the application will respond to the message when it is running in automation mode.

  • Message Targets. The places the message will appear.

  • Message Contents window. Shows the content of the currently highlighted message.

  • Message Targets. Select where the message should appear:

  • Dialog: The message will appear on screen.

  • Log File: (Available only if message logging has been enabled on the Log File tab.) The message will appear in the log file.

  • 2000/XP/2003 Event Log: The message will be sent to the operating system's event log.

  • Default Response to Message. Some messages require a response (such as clicking OK or Cancel), so the application must make these responses automatically if the message cannot be displayed to the user for selection of a response (e.g., the dialog is turned off). The possible responses to the currently highlighted message appear here. Select the one you want this application to always make automatically.

Log File Tab

Use this tab to configure how messages will be logged to a file. Select Enable Logging to activate the features of this tab.

  • Log File Folder. Enter the directory where log files will be saved.

  • Organization. Select an option for how log files will be created and named:

  • One File. The application will log all messages to the same file.

  • By Date. The application will name log files after the current date and will start each day with a new log file.

  • Output Type. Select a format for the log files:

  • Tab Delimited. Logged messages are separated by tabs.

  • Comma Delimited. Logged messages are separated by commas.

  • Quote and Comma Delimited. Logged messages are enclosed in quotation marks and separated by commas.

  • Encoding. Select the encoding to use for the log files. Your options are:

    • Unicode

    • Unicode (Big Endian)

    • UTF-8

    • Use Windows Settings

    • Arabic (1256)

    • Baltic (1257)

    • Central Europe (1250)

    • Chinese Simplified (GB-2312, 936)

    • Chinese Traditional (Korea, Big 5, 950)

    • Cyrillic (1251)

    • Greek (1253)

    • Hebrew (1255)

    • Japanese (SHIFT-JIS, 932)

    • Korean (Hangul, 949)

    • Korean (Johab, 1361)

    • Thai (874)

    • Turkish (1254)

    • US, Western Europe (ANSI, 1252)

    • Vietnam (1258)

  • Log Files buttons:

  • View. Click to browse to a log file.

  • View Last. Click to open the most recent log file.

  • Delete All. Click to delete all log files.

E-Mail Tab

Use this tab to specify who will receive e-mail copies of Commander messages and the structure of the e-mailed messages.

Click Enable E-Mail to activate the features of this tab.

  • Mail System. This box identifies the Mail/Messaging system that Commander will use when sending e-mail messages. It will use the default mail system of the user currently logged into the computer, unless you change to a different system here. Click Setup to configure the details of the e-mail profile that will be used.

    • If you have selected Internet Mail (SMTP) as the mail/messaging system, then an Internet Mail Setup dialog opens when you click Setup.

    • If you have selected Windows Messaging (MAPI) as the mail/messaging system, then a Windows Messaging Setup dialog opens when you click Setup.

  • To. If you are using Internet Mail (SMTP), type in the address of one or more primary recipients for the messages (separated by semi-colons). If you are using Windows Messaging (MAPI) click the Select button to open your e-mail address book and select recipients.

  • CC. If you are using Internet Mail (SMTP), type in the address of one or more secondary recipients for the messages (separated by semi-colons). If you are using Windows Messaging (MAPI) click the Select button to open your e-mail address book and select recipients.

  • Output Type. Select a format for the message file to be sent from the drop down list. Your options are:

    • Text Report. Each message section will appear as a separate line in this order: Date, Time, Message Number, Message Type, Message Category, Response to Message, and Message Body.

    • Tab Delimited. Message sections are separated by tabs.

    • Comma Delimited. Message sections are separated by commas.

    • Quote and Comma Delimited. Message sections are enclosed in quotation marks and separated by commas.

Click the Send Test Message button to test that messages will be received by the proper recipients and will be structured in the chosen output format.


Task Log Setup

Use this dialog, opened from the Tools menu, to configure logging of Commander's activity.

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.

  • Log to File checkbox. Select this to turn on logging and enter the path and filename for the log file. (Click here to see if you must use a complete UNC path.)

  • Encoding. Select the character set of the text file if it is different from the default. For example, you might need to do this if you are using a language other than the default for your version of Windows. Your options are

  • Unicode

  • Unicode (Big Endian)

  • UTF-8

  • Use Windows Settings

  • Arabic (1256)

  • Baltic (1257)

  • Central Europe (1250)

  • Chinese Simplified (GB-2312, 936)

  • Chinese Traditional (Korea, Big 5, 950)

  • Cyrillic (1251)

  • Greek (1253)

  • Hebrew (1255)

  • Japanese (SHIFT-JIS, 932)

  • Korean (Hangul, 949)

  • Korean (Johab, 1361)

  • Thai (874)

  • Turkish (1254)

  • US, Western Europe (ANSI, 1252)

  • Vietnam (1258)

  • Task Name checkbox. Select this if you want task names included in the log.

  • Time/Date Executed checkbox. Select this if you want the log to include day and time each task executes.

  • Action Taken checkbox. Select this if you want the log to include the actions taken.

  • Errors checkbox. Select this if you want any errors to be logged.


General Options

Show All Hide All

Use this dialog to set your preferences about Commander's language, its startup state, where its minimized icon is located, and whether it should run as a service or an application. For details about each tab, click on its name:

General

  • Language drop down list. Select the language you want Commander to use in its menus and dialog boxes.

  • Minimized Location. Set the location of Commander's icon when it is minimized, either on the Task Bar or the System Tray.

Startup

  • Task List. Configure Commander to startup with a new blank task list, a specified task list, or the last used task list.

  • Name. Enter the path and name of the task list if you selected Open Specified Task List in the Task List drop down list. (Click here to see if you must use a complete UNC path.)

  • Detection. Configure Commander to start with detection on, off, or in whatever state it was when Commander last closed.

  • Window State. Configure Commander to startup minimized or in whatever state in was in when it last closed.

Service

  • Run As. Choose whether Commander should run as a service or an application.

  • Startup Type. Select the startup type for the Commander service.


Administrative Setup Dialog

Use this dialog to identify and edit the desired message file, and to set the path of the task list directory.

To identify the file, highlight it, click Select location, and browse to the file.

To edit the file, highlight it and click Edit Type.

To return the settings to their default values, click Reset to Defaults.

See Also:

Message Setup Dialog


Starting Commander with Command Line Parameters

You can configure the Commander application or service to automatically start with detection turned on and with a particular task list opened.

The syntax of a command line is:

cmdr.exe [parameters] [<Task_List_Path_&_Filename>]

The available parameters are:

/START

Causes detection to begin immediately. Not case sensitive.

/MIN[=TaskBar|SystemTray]

Minimize the user interface to the task bar or system tray when starting. Optionally, specify whether it will run minimized to the taskbar or the system tray.

/MAX

Causes Commander to run maximized.

/NOSPLASH

Causes Commander to skip the display of its splash screen when it launches.

<Task_List_Path_&_Filename>

Causes Commander to immediately open the specified task list.

Example:

cmdr.exe /START C:\Commander\tasks.tl

(Click here to see if you must use a complete UNC path.)


Commander Toolbar

The Commander toolbar has the following buttons. For more information, click on any button name or on any button on the image below. The toolbar can be hidden and unhidden by selecting Toolbar from the View menu.

New

Open

Save

Delete

Cut

Copy

Paste

Start Detection

Stop Detection

Add

Properties

Run BarTender


New

The New menu item and New button start a new blank task list.


Open

The Open menu item and Open button display a dialog with which you open an existing task list.


Save

The Save menu item and Save button save the current task list.

Note: The first time a task list is saved, the Save As dialog is opened.


Save As

The Save As menu item opens a dialog in which you change the name of the task list and specify where it should be saved.


Recent Files

A list of recently opened task lists. Click on any to reopen it.


Exit

Click this item to exit Commander. You will be prompted to save if you have made changes to the current task list.


Cut

The Cut menu item and the Cut button move a task from the task list to the clipboard.


Copy

The Copy menu item and the Copy button copy a task from the task list to the clipboard.


Paste

The Paste menu item and the Paste button copy a task from the clipboard to the current task list.


Delete

The Delete menu item and Delete button on the toolbar (and the DELETE key on the keyboard) delete the currently highlighted task from the task list.


Toolbar

Hides and displays the Commander toolbar.


Status Bar

Hides and displays the Commander status bar.


Enable

Enables the currently highlighted task.


Add

The Add menu item and the Add button open the Task Options dialog where you create a new task for the current task list.

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.


Properties

The Properties menu item and Properties button open the Task Options dialog where you can modify the properties of the currently highlighted task.

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.


Start Detection

The Start Detection menu item and the Start Detection button cause Commander to begin detecting for a trigger.


Stop Detection

The Stop Detection menu item and the Stop Detection button cause Commander to stop detecting for a trigger.


BarTender Command Handler Setup

Opens the BarTender Command Handler Setup dialog.

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.


Show All Running BarTenders

Makes all running instances of BarTender visible on the desktop.

SEE ALSO:

BarTender Performance Enhancements


Hide All Running BarTenders

Hides all running instances of BarTender.

SEE ALSO:

BarTender Performance Enhancements

Show All Running BarTenders


BarTender

Run BarTender

The Run BarTender menu item and Run BarTender button launch BarTender.


Messages Setup

Opens the Message Setup dialog.


Task Log Setup Menu Item

Task Log Setup

Opens the Task Log Setup dialog.

Note: If Commander is running as a service, the dialog will open only if the service has been configured to meet certain conditions.


General Options Menu Item

General Options

Opens the General Options dialog.


Adminstrative Setup

Displays the Administrative Setup dialog.


Help Topics

Opens Commander's online help.


Technical Support Menu Item

Technical Support

Technical Support opens Commander's online help to a topic that tells you how to obtain technical support.


Register on Line

Register on Line accesses the page on Seagull's web site where you can register your new Commander.


Seagull on the Web

Seagull on the Web accesses Seagull's web site where you can find information about BarTender and download additional printer drivers.


Activate this Software

Activate this Software or Activation Wizard

These command launches the Activation Wizard. If the software has never been activated before the command is Activate this Software. Otherwise, it is Activation Wizard.


Activation Help

Activation Help opens a FAQ about software activation.


About Commander

Opens a window with version information for Commander.


Access to BarTender in Windows

Giving Commander Access to BarTender in Windows

If you want Commander to run BarTender with a user account that is different from the one that Commander itself is using, you must configure Commander to do so on the Logon tab of the BarTender Command Handler Setup dialog and you must also configure Windows DCOM with these steps:

On Windows 2000

1. Open the Start menu and select Run.

2. Enter dcomcnfg and click OK.

3. On the dialog that opens, click the Applications tab and double-click BarTender Format.

4. On the BarTender Format Properties dialog, click the Security tab.

5. Enable Use custom access permissions and click the Edit button.

6. On the Access Permission dialog, click Add and add the user or group that Commander should use when it runs BarTender.

7. Click OK on each dialog in reverse order and reboot the computer.

On Windows XP/2003

1. Open the Start menu and select Control Panel and then Performance and Maintenance. (If the machine is using the "Classic Start menu", then open the Start menu and select Settings and then Control Panel.)

2. Double-click Administrative Tools and then Component Services.

3. In the Component Services dialog, double-click the Component Services icon and then double-click Computers, My Computer, and DCOM Config.

4. Right-click BarTender Format and select Properties.

5. On the BarTender Format Properties dialog, click the Security tab.

6. Enable Custom in the Access Permissions section and click the Edit button.

7. On the Access Permission dialog, click Add and add the user or group that Commander should use when it runs BarTender.

8. Click OK twice to exit the dialogs and then close the Component Services and Administrative Tools dialogs.

9. Reboot the computer.


Commander Service Properties: Dependencies Tab

Use this tab to view the services on which the Commander Service depends. Refer to your Windows 2000/XP/2003 documentation for details.


Commander Service Properties: General Tab

Use this tab to start, stop, pause, and resume the service and to set its startup type and start parameters.

  • Display Name and Description text boxes. Change as desired.

  • Startup Type. Set the Commander Service's startup type and then click Apply.

  • Use the Start and Stop buttons when needed. (These buttons are disabled when the Startup Type is set to Disabled.) The Pause and Resume buttons cannot be used with Commander.

  • Start parameters. Leave this box blank. Commander does not use any start up parameters.


Commander Service Properties: Log On Tab

Use this tab to determine whether the service will log in to only the machine or to the network. The latter is a requirment for giving the service access to a network printer.

To change the account from the default Local System account, click This account and enter a user name (e.g., "CommanderService") and then the password (twice) in the boxes provided. The account should be one that has access to all network printers that the Commander Service will need.

Note: Changing from the default Local System account will put some limits on the configuration changes you can make while Commander is running. Click here for more information.

In the list of hardware profiles, the service must be enabled for at least one profile.


Commander Service Properties: Recovery Tab

Use this tab to determine how the Commander Service will respond to failures. Refer to your Windows 2000/XP/2003 documentation for details.


Connect to Commander Service

This item starts the Commander Service, unless its status is currently set to Disabled.


Internet Mail Setup (for E-mail Triggers) Dialog

Show All Hide All

Note: This dialog is used to set up an Internet mail system for sending e-mail triggers to Commander. It is not used to set up an Internet mail system for Commander's handling of messages. For the latter topic refer to Internet Mail Setup (for Message Handling) Dialog.

This dialog is opened when the Setup button is clicked on the Trigger tab of the Task Options dialog. (The button is only present if "E-Mail" is specified as the trigger type.)

The dialog has the following tabs:

Incoming (POP3)

  • Mail Server. Used to specify the name of the incoming mail server (e.g., mail.mycompany.com).

  • User Name. Used to specify the mail system user name that Commander should use to receive e-mail triggers.

  • Password. Used to specify the user's password.

Outgoing (SMTP)

  • Mail Server. Used to specify the name of the outgoing mail server (e.g., smtp.mycompany.com).

  • Requires Authentication. Check this box to enable the Login Settings if your outgoing mail server requires a login.

  • Use Incoming (POP3) Settings. Select this option to use the same login settings that are used on the Incoming (POP3) tab.

  • Specify Login Settings. Select this option if Commander should use a different user name when forwarding e-mails from what it uses when receiving them.

  • User. Used to specify the mail system user name that Commander should use to forward e-mail messages.

  • Password. Used to specify the user's password.

Advanced

  • TCP/IP Communication Ports. Type in the port numbers to be used by the incoming and outgoing mail servers.

  • Timeout. Set how long the application should keep trying to send any e-mail message before concluding that it cannot connect to the mail server.

Click the Test button to ensure that the application can communicatie with the mail server(s).


Internet Mail Setup (for Message Handling) Dialog

Note: This dialog is used to set up an Internet mail system for message handling. It is not used to set up an Internet mail system for sending e-mail triggers to Commander. For the latter topic refer to Internet Mail Setup (for E-Mail Triggers) Dialog.

This dialog is opened when Internet Mail (SMTP) is selected as the Mail System and the Setup button is clicked on the E-Mail tab of the Messages Setup dialog. Use it to change the Mail/Messaging system profile that Commander will use to send messages, or use it to setup a new Mail/Messaging system profile. Unless you specify otherwise, Commander will use the default profile of the computer's currently logged-in user.

  • Mail Server. Enter the name of the mail server. For example, smtp.mycompany.com.

  • Your Name. Enter the full name of the user whose e-mail account should be used by Commander.

  • E-Mail Address. Enter the e-mail address of the user whose e-mail account should be used by Commander.

  • Requires Authentication. Check this box if the mail server requires that users logon before sending e-mail. Doing so, will enable the User Name and Password text boxes.

  • User Name. Enter the mail system login name of the user whose e-mail account should be used by Commander.

  • Password. Enter the password for the login name.

  • Port. Enter the port to be used when communicating with the mail server.

  • Timeout. Set how long Commander should keep trying to send any e-mail message before it concludes that it cannot connect to the mail server.

  • Encoding. Select the encoding to use for the text of the e-mail message. Your options are

    • Unicode

    • Unicode (Big Endian)

    • UTF-8

    • Use Windows Settings

    • Arabic (1256)

    • Baltic (1257)

    • Central Europe (1250)

    • Chinese Simplified (GB-2312, 936)

    • Chinese Traditional (Korea, Big 5, 950)

    • Cyrillic (1251)

    • Greek (1253)

    • Hebrew (1255)

    • Japanese (SHIFT-JIS, 932)

    • Korean (Hangul, 949)

    • Korean (Johab, 1361)

    • Thai (874)

    • Turkish (1254)

    • US, Western Europe (ANSI, 1252)

    • Vietnam (1258)

Click the Test button to ensure that Commander can communicate with the mail server.


Select Profile Dialog

Windows Messaging Setup Dialog

This dialog is opened (when Windows Messaging (MAPI) is selected as the Mail System) from the E-Mail tab of the Messages Setup dialog. Use it to change the Mail/Messaging system profile that Commander will use to send messages, or use it to setup a new Mail/Messaging system profile. Unless you specify otherwise, Commander will use the default profile of the computer's currently logged-in user.

Click Use Profile to activate the features of this dialog.

  • Profile. Select a profile from the drop down list, or click the Setup button to setup a profile in Windows. See Windows help for details.

  • Password. Enter the password for the selected profile.

See Also:

Understanding Mail/Messaging Profiles


Service Startup Types

Windows services can be set to any of these startup types:

Service Type | Description
Automatic | Ensures that the service is started as soon as the machine boots and the operating system loads.
Manual | Ensures that the service is not running until manually started.
Disabled | Ensures that the service cannot be started by any application until its startup type is changed to Automatic or Manual.


Task Configuration When Running as a Service

Special Considerations about Login Configuration when Running Commander as a Service

When Commander is running as a service, the configuration of tasks, task logging, and BarTender command handlers can be performed only if three conditions are met:

  • The Commander user who is to perform any of the above configurations must be logged in directly at the console, not by means of Terminal Services or any other form of remote login.

  • The Commander service must be configured to log in under the Local System account in Windows 2000/XP/2003.

  • The option to allow interaction with the Windows desktop must be enabled.


Understanding Mail/Messaging Profiles

Understanding Mail/Messaging System Profiles

The Mail/Messaging system enables applications, like Commander, to send e-mail, or use other message system features, without the need for any user action.

If the application is configured on the E-Mail tab of the Messages Setup dialog to use Windows Messaging (MAPI), instead of Internet Mail (SMTP), as the Mail System; then, it must login to the Mail/Messaging system similarly to the way computer users typically must login to a network. Just as the network must have the user's name and password on file, so too the Mail/Messaging system must have a record of profiles and their associated passwords. A profile includes such things as an address book, a mail folder, and one or more mail services. A mail service is a system or protocol for passing messages. Some common mail services are SMTP, POP3, Lotus CC:Mail, and Microsoft Exchange. Your place of work may even have a custom-made mail service.

Profiles are always relative to both a user and a particular computer. Different users logging into the same computer may have different profiles available, and a given user may have different profiles available on different machines.

Unless it is told otherwise, Commander will use the default profile of whatever user is currently logged into the computer. You can tell it to use a different profile by clicking the Setup button on the E-Mail tab of the Messages Setup dialog. The dialog that opens will vary, depending on the mail service selected in the Mail System box to the left of the button.

Each time Commander has a message to send, it logs into the Mail/Messaging system using the designated profile and password and sends the message with no user intervention required.